org.apache.xmlgraphics.ps

## Class PSDictionaryFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.xmlgraphics.ps.PSDictionaryFormatException

- All Implemented Interfaces:
    java.io.Serializable

      public class PSDictionaryFormatException
      extends java.lang.Exception

  Thrown to indicate that a formatting error has occurred when trying to parse a PostScript dictionary object
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSDictionaryFormatException(java.lang.String string)` Default constructor

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PSDictionaryFormatException

          public PSDictionaryFormatException(java.lang.String string)

      Default constructor
      Parameters:
        `string` - error message

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.